#
# spec file for package python3-cppclean
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-cppclean
Version:        0.12
Release:        1.5
License:        Apache-2.0
Summary:        Find problems in C++ source that slow development of large code bases
Url:            https://github.com/myint/cppclean
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/c/cppclean/cppclean-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
cppclean attempts to find problems in C++ source that slow development
in large code bases, for example various forms of unused code.
Unused code can be unused functions, methods, data members, types, etc
to unnecessary #include directives. Unnecessary #includes can cause
considerable extra compiles increasing the edit-compile-run cycle.

%prep
%setup -q -n cppclean-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/cppclean %{buildroot}%{_bindir}/cppclean-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/cppclean %{buildroot}%{_bindir}/cppclean

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/cppclean cppclean %{_bindir}/cppclean-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove cppclean %{_bindir}/cppclean-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc COPYING README.rst
%{_bindir}/cppclean
%{_bindir}/cppclean-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/cppclean
%{python3_sitelib}/*

%changelog
* Fri Oct 14 2016 toddrme2178@gmail.com
- Initial version
